package com.miaxis.test;

import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import java.util.Base64;
public class Test7 {


    public static void main(String[] args) throws Exception {
        // 生成AES密钥
        KeyGenerator keyGenerator = KeyGenerator.getInstance("AES");
        keyGenerator.init(128); // 128位密钥
        SecretKey secretKey = keyGenerator.generateKey();

        // 加密数字
        int originalNumber = 123456;
        byte[] encryptedData = encryptNumber(originalNumber, secretKey);

        // 解密数字
        int decryptedNumber = decryptNumber(encryptedData, secretKey);

        System.out.println("Original Number: " + originalNumber);
        System.out.println("Encrypted Data: " + Base64.getEncoder().encodeToString(encryptedData));
        System.out.println("Decrypted Number: " + decryptedNumber);
    }

    public static byte[] encryptNumber(int number, SecretKey secretKey) throws Exception {
        Cipher cipher = Cipher.getInstance("AES");
        cipher.init(Cipher.ENCRYPT_MODE, secretKey);
        byte[] numberBytes = String.valueOf(number).getBytes();
        byte[] encryptedBytes = cipher.doFinal(numberBytes);
        return encryptedBytes;
    }

    public static int decryptNumber(byte[] encryptedData, SecretKey secretKey) throws Exception {
        Cipher cipher = Cipher.getInstance("AES");
        cipher.init(Cipher.DECRYPT_MODE, secretKey);
        byte[] decryptedBytes = cipher.doFinal(encryptedData);
        String decryptedNumberString = new String(decryptedBytes);
        return Integer.parseInt(decryptedNumberString);
    }
}
