package com.miaxis.newgzpt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.newgzpt.domain.GzptUserInfo;
import com.miaxis.newgzpt.dto.GzptAppleInfoDTO;
import com.miaxis.newgzpt.dto.GzptUserInfoDTO;
import com.miaxis.newgzpt.vo.GzptExamInfoVO;

import java.util.List;

/**
 * <p>
 * 学员基本信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface IGzptUserInfoService extends IService<GzptUserInfo> {


    List<GzptUserInfo> getList();

    GzptUserInfo getUserWxlogin(GzptUserInfoDTO userInfoDTO);

    GzptUserInfo getAppleUserInfo(GzptAppleInfoDTO appleInfoDTO);

    GzptUserInfo getInfoById(Long id);

    List<GzptExamInfoVO> getUserScoreByOutId(Long stuOutId);

    Long saveGzptUserInfo(GzptUserInfo userInfo);
}
