package com.miaxis.newgzpt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频VIP表
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GzptExamInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "用户ID")
    private String userName;

    @ApiModelProperty(value = "考试科目")
    private String kskm;

    @ApiModelProperty(value = "考试成绩")
    private Integer score;

    @ApiModelProperty(value = "考试成绩")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date crdate;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;




}
