package com.miaxis.order.vo;


import com.miaxis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(description = "驾校订单查询返回对象")
public class OrderIncomeVo {
    private static final long serialVersionUID = 1L;


    @Excel(name = "总金额")
    @ApiModelProperty(value = "总金额")
    private Float total;

    @Excel(name = "人头返现提成")
    @ApiModelProperty(value = "人头返现提成")
    private Float activationCommission;


    @Excel(name = "原始提成")
    @ApiModelProperty(value = "原始提成")
    private Float schoolCommission;

}
