package com.miaxis.sms.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
public class SmsInfo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "参数")
    private String param;

    @ApiModelProperty(value = "模板编号")
    private String templateCode;

    @ApiModelProperty(value = "签名")
    private String signName;


}
