package com.miaxis.tms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsBmDayDTO", description = "查询报名人数DTO")
public class TmsBmDayDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "驾校ID")
    private Long schoolId;

    @ApiModelProperty(value = "城市编号",required = true)
    private String city;

    @ApiModelProperty(value = "查询是日时为天'-1'为一天前,0为当日")
    private Integer day;

}
