package com.miaxis.tms.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsBmMonthListDTO", description = "查询报名人数DTO")
public class TmsBmYearListDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "驾校ID")
    private Long schoolId;

    @ApiModelProperty(value = "开始年份（请默认传当前年）")
    private String startYear;

    @ApiModelProperty(value = "结束年份（请默认传当前年-5年）")
    private String endYear;

    @ApiModelProperty(value = "排序字段 1：正序  2：倒序")
    private Integer sortType;

    @ApiModelProperty(value = "排序类型 1：时间  2：学员数")
    private Integer fieldType;

    @ApiModelProperty(value = "排序类型",hidden = true)
    private String sort;

    @ApiModelProperty(value = "排序字段",hidden = true)
    private String field;

    @ApiModelProperty(value = "城市编号",required = true)
    private String city;


}
