package com.miaxis.tms.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class TmsStudentInfoDTO implements Serializable {


    @ApiModelProperty(value = "身份证号或姓名或手机")
    private String field;

    @ApiModelProperty(value = "驾校ID")
    private String schoolId;

    @ApiModelProperty(value = "教练员ID")
    private Long coachId;

    @ApiModelProperty(value = "APP教练员ID")
    private Long appCoachId;

    @ApiModelProperty(value = "地区编号",required = true)
    private String city;

    @ApiModelProperty(value = "学驾状态 1 第一阶段 2 第二阶段 3 第三阶段 4 第四阶段 5已结业")
    private String state;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;


}
