package com.miaxis.tms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.tms.domain.TmsCoachInfo;
import com.miaxis.tms.dto.*;
import com.miaxis.tms.vo.TmsCoachInfoVo;
import com.miaxis.tms.vo.TmsPasswordVo;

/**
 * <p>
 * 学员基本信息表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface TmsCoachInfoMapper extends BaseMapper<TmsCoachInfo> {


    TmsCoachInfoVo getCoachInfoById(TmsCoachInfoIdDTO coaDto);

    TmsCoachInfoVo getCoachBylogin(TmsCoachInfoDTO coaDto);

    int updateCoachPassword(TmsCoachInfoPwDTO coaPwDto);

    int updateCoachOpenid(TmsCoachInfoBindDTO coachInfoBindDTO);

    TmsCoachInfoVo getCoachInfoByOpenid(TmsCoachInfoOpenidDTO coaOpenidDto);

    TmsPasswordVo getPasswordByCoachIdcard(TmsIdcardPhoneDTO idcardPhoneDTO);
}
