package com.miaxis.tms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.tms.dto.*;
import com.miaxis.tms.vo.*;

import java.util.List;

/**
 * <p>
 * 学员基本信息表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface TmsStudentInfoMapper extends BaseMapper<TmsStudentInfoVo> {


    List<TmsStudentInfoVo> getTmsStudentInfoList(TmsStudentInfoDTO studentDTO);

    TmsStudentInfoIdVo getTmsStudentInfoById(TmsStudentInfoIdDTO stuIdDTO);

    TmsStudentInfoIdVo getTmsStudentInfoTempById(TmsStudentInfoIdDTO stuIdDTO);

    TmsStudentInfoIdVo getWzTmsStudentInfoById(TmsStudentInfoApplyIdDTO stuIdDTO);

    TmsStudentInfoIdVo getWzOldTmsStudentInfoById(TmsStudentInfoApplyIdDTO stuIdDTO);

    int upStuAppCoachIdById(TmsStudentInfoQrDTO studentInfoQrDTO);

    List<TmsLogFaceVo> getTmsLogFaceListByStuId(TmsStudentInfoIdDTO studentInfoIdDTO);

    List<TmsSignVo> getTmsSignListByStuId(TmsStudentInfoIdDTO studentInfoIdDTO);

    List<TmsStudentInfoTempVo> getTmsStudentInfoTempList(TmsStudentInfoTempDTO studentInfoDto);

    TmsBmCountVo getDayStuCountBySchoolId(TmsBmDayDTO bmDayDTO);

    TmsBmCountVo getMonthStuCountBySchoolId(TmsBmMonthDTO bmMonthDTO);

    TmsBmCountVo getYearStuCountBySchoolId(TmsBmMonthDTO bmMonthDTO);

    TmsBmCountVo getDayStuTempCountBySchoolId(TmsBmDayDTO bmDayDTO);


    List<TmsBmCountVo> getEveryDayStuCountBySchoolId(TmsBmDayListDTO bmDayListDTO);

    List<TmsBmCountVo> getEveryMonthStuCountBySchoolId(TmsBmMonthListDTO bmMonthListDTO);

    List<TmsBmCountVo> getEveryYearStuCountBySchoolId(TmsBmYearListDTO bmMonthListDTO);

    List<TmsStudentInfoVo> getTmsAllStudentInfoList(TmsAllStudentInfoDTO aLLStudentInfoDTO);

    TmsStudentInfoIdVo getTzTmsStudentInfoById(TmsStudentInfoIdDTO stuIdDTO);

    List<TmsStudentTeachLogVo> getTmsStudentTeachLogById(TmsStudentInfoIdDTO studentInfoIdDTO);

    List<TmsStudentPhotoVo> getTmsStudentPhotoById(TmsStudentInfoPhotoDTO studentInfoPhotoDTO);

    List<TmsStudentInfoVo> getTmsMyStudentInfoList(TmsStudentInfoDTO studentInfoDto);

    List<TmsStudentInfoTempVo> getTmsMyStudentInfoTempList(TmsStudentInfoTempDTO studentInfoTempDto);

    TmsBmLimitVo getXmBmLimit(TmsBmDTO tmsBmDTO);

    TmsFzLimitVo getFzBmLimit(TmsBmDTO tmsBmDTO);

    TmsPasswordVo getPasswordByIdcard(TmsIdcardPhoneDTO idcardPhoneDTO);
}
