package com.miaxis.tms.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsLogFaceVo", description = "照片比对VO")
public class TmsBmCountVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "时间")
    private String dateTime;

    @ApiModelProperty(value = "报名人数")
    private Integer stuCount;




}
