package com.miaxis.tms.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsBmVo", description = "报名统计")
public class TmsBmVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "今天预报名人数")
    private Integer yday;

    @ApiModelProperty(value = "今天报名人数")
    private Integer day;

    @ApiModelProperty(value = "昨天报名人数")
    private Integer yesterday;

    @ApiModelProperty(value = "本月报名人数")
    private Integer month;

    @ApiModelProperty(value = "上月报名人数")
    private Integer lastMonth;

    @ApiModelProperty(value = "今年报名人数")
    private Integer year;

    @ApiModelProperty(value = "去年报名人数")
    private Integer lastYear;


}
