package com.miaxis.tms.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "CoachInfoQRVo", description = "教练对象 tms_coach_info")
public class TmsCoachInfoQRVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "教练Id")
    private Long id;

    @ApiModelProperty(value = "教练全国统一编号")
    private String coachNum;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "所属驾校内部ID")
    private Long schoolId;

    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    @ApiModelProperty(value = "城市编号")
    private String dqbh;


}
