package com.miaxis.tms.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsFzLimitVo", description = "福州报名名额")
public class TmsFzLimitVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "当月限制人数")
    private String monthNum;

    @ApiModelProperty(value = "已报人数")
    private String allYbrs;

    @ApiModelProperty(value = "车辆数")
    private String carNum;

    @ApiModelProperty(value = "可报人数")
    private String kbrs;


}
