package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsLogFaceVo", description = "照片比对VO")
public class TmsLogFaceVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date crdate;

    @ApiModelProperty(value = "终端SIM号")
    private String sim;

    @ApiModelProperty(value = "照片对比源")
    private String sourceimg;

    @ApiModelProperty(value = "拍照类型 1-签到，2-训练过程3、签退")
    private Integer type;

    @ApiModelProperty(value = "上传照片")
    private String img;

    @ApiModelProperty(value = "相似度")
    private String similar;




}
