package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsSignVo", description = "照片比对VO")
public class TmsSignVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "车牌号")
    private String trainCarLicnum;

    @ApiModelProperty(value = "终端SIM号")
    private String sim;

    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

    @ApiModelProperty(value = "签到签退的标志：1 签到 0 签退")
    private String loginFlag;


}
