package com.miaxis.test;

import com.miaxis.JsjpApplication;
import com.miaxis.order.dto.QuerySchoolOrderListDTO;
import com.miaxis.order.service.IOrderInfoService;
import com.miaxis.order.vo.QuerySchoolOrderDetailedVo;
import com.miaxis.sms.SendSms;
import com.miaxis.sms.SendSmsSync;
import com.miaxis.sms.domain.SmsInfo;
import com.miaxis.sms.domain.SmsToUser;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@SpringBootTest(classes = JsjpApplication.class)
@RunWith(SpringRunner.class)
public class TestSms {


    @Autowired
    private SendSmsSync sendSmsSync;

    @Autowired
    private SendSms sendSms;

    @Test
    public void test() throws Exception {

        SmsToUser smsToUser = new SmsToUser();
        smsToUser.setName("王小日");
        smsToUser.setIdcard("350181198811231811");
        smsToUser.setPhone("15060063160");
        smsToUser.setPassword("123456");

        //参数处理
//        String param = "{\"name\":\"" + smsToUser.getName() + "\",\"idcard\":\"" + smsToUser.getIdcard() + "\",\"password\":\"" + smsToUser.getPassword() + "\"}";
//        SmsInfo smsInfo = new SmsInfo();
//        smsInfo.setPhone(smsToUser.getPhone());
//        smsInfo.setParam(param);
//        smsInfo.setSignName("极速驾培");
//        smsInfo.setTemplateCode("SMS_463607185");  //帐号密码模板
//        sendSmsSync.sendSms(smsInfo);


//        SmsInfo smsDown = new SmsInfo();
//        smsDown.setPhone(smsToUser.getPhone());
//        smsDown.setParam(null);
//        smsDown.setSignName("极速驾培");
//        smsDown.setTemplateCode("SMS_463677149");  //下载通知
//        sendSmsSync.sendSms(smsDown);


//        String param = "{\"name\":\"" + smsToUser.getName() + "\",\"telphone\":\"" + "4006079090" + "\"}";
//        SmsInfo smsInfo = new SmsInfo();
//        smsInfo.setPhone(smsToUser.getPhone());
//        smsInfo.setParam(param);
//        smsInfo.setSignName("极速驾培");
//        smsInfo.setTemplateCode("SMS_463597549");  //帐号密码模板
//        sendSms.sendSms(smsInfo);


        SmsInfo smsDown = new SmsInfo();
        smsDown.setPhone(smsToUser.getPhone());
        smsDown.setParam(null);
        smsDown.setSignName("极速驾培");
        smsDown.setTemplateCode("SMS_463667340");  //下载通知
        sendSms.sendSms(smsDown);



    }



}
