package com.miaxis.coach.service;

import java.util.List;
import com.miaxis.coach.domain.CoachManySchool;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 教练员驾校关系Service接口
 *
 * @author zhangbin
 * @date 2023-07-25
 */
public interface ICoachManySchoolService extends IService<CoachManySchool>{
    /**
     * 查询教练员驾校关系列表
     *
     * @param coachManySchool 教练员驾校关系
     * @return 教练员驾校关系集合
     */
    public List<CoachManySchool> selectCoachManySchoolList(CoachManySchool coachManySchool);
}
