package com.miaxis.sms.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
public class SmsToUser implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "学员姓名")
    private String name;

    @ApiModelProperty(value = "学员身份证号码")
    private String idcard;

    @ApiModelProperty(value = "登录密码")
    private String password;

    @ApiModelProperty(value = "学员电话号码")
    private String phone;



}
