package com.miaxis.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.tms.domain.TmsCoachInfo;
import com.miaxis.tms.dto.*;
import com.miaxis.tms.vo.TmsBmLimitVo;
import com.miaxis.tms.vo.TmsCoachInfoVo;
import com.miaxis.tms.vo.TmsPasswordVo;

import java.util.List;

/**
 * <p>
 * 学员基本信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface ITmsCoachInfoService extends IService<TmsCoachInfo> {



    TmsCoachInfoVo getCoachInfoById(TmsCoachInfoIdDTO coaDto);

    TmsCoachInfoVo getCoachInfoByOpenid(TmsCoachInfoOpenidDTO coachInfoOpenidDTO);

    TmsCoachInfoVo getCoachBylogin(TmsCoachInfoDTO coaDto);

    Response updateCoachPassword(TmsCoachInfoPwDTO coaPwDto);

    Response bindCoachOpenid(TmsCoachInfoBindDTO coachInfoBindDTO);

    Response unBindCoachOpenid(TmsCoachInfoDTO coachInfoDTO);

    TmsPasswordVo getPasswordByCoachIdcard(TmsIdcardPhoneDTO idcardPhoneDTO);
}
