package com.miaxis.tms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.tms.dto.*;
import com.miaxis.tms.vo.*;

import java.sql.SQLException;
import java.util.List;

/**
 * <p>
 * 学员基本信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface ITmsStudentInfoService extends IService<TmsStudentInfoVo> {


    List<TmsStudentInfoVo> getTmsAllStudentInfoList(TmsAllStudentInfoDTO aLLStudentInfoDTO);

    List<TmsStudentInfoVo> getTmsStudentInfoList(TmsStudentInfoDTO studentInfoDTO);

    List<TmsStudentInfoVo> getTmsMyStudentInfoList(TmsStudentInfoDTO studentInfoDTO);

    List<TmsStudentInfoTempVo> getTmsStudentInfoTempList(TmsStudentInfoTempDTO studentInfoTempDTO);

    List<TmsStudentInfoTempVo> getTmsMyStudentInfoTempList(TmsStudentInfoTempDTO studentInfoTempDTO);

    TmsStudentInfoIdVo getTmsStudentInfoById(TmsStudentInfoIdDTO stuIdDTO);

    TmsStudentInfoIdVo getTmsStudentInfoTempById(TmsStudentInfoIdDTO stuIdDTO);

    int upStuAppCoachIdById(TmsStudentInfoQrDTO studentInfoQrDTO);

    List<TmsLogFaceVo> getTmsLogFaceListByStuId(TmsStudentInfoIdDTO studentInfoIdDTO);

    List<TmsSignVo> getTmsSignListByStuId(TmsStudentInfoIdDTO studentInfoIdDTO);

    TmsBmVo getStatisticsStuCountBySchoolId(TmsBmDTO bmDTO) throws SQLException;

    List<TmsBmCountVo> getEveryDayStuCountBySchoolId(TmsBmDayListDTO dayListDTO);

    List<TmsBmCountVo> getEveryMonthStuCountBySchoolId(TmsBmMonthListDTO monthListDTO);

    List<TmsBmCountVo> getEveryYearStuCountBySchoolId(TmsBmYearListDTO yearListDTO);

    TmsStudentInfoIdVo getTmsStudentInfoApplyById(TmsStudentInfoApplyIdDTO studentInfoApplyIdDTO);

    List<TmsStudentTeachLogVo> getTmsStudentTeachLogById(TmsStudentInfoIdDTO studentInfoIdDTO);

    List<TmsStudentPhotoVo> getTmsStudentPhotoById(TmsStudentInfoPhotoDTO studentInfoPhotoDTO);

    TmsBmLimitVo getXmBmLimit(TmsBmDTO tmsBmDTO);

    TmsFzLimitVo getFzBmLimit(TmsBmDTO tmsBmDTO);

    TmsPasswordVo getPasswordByIdcard(TmsIdcardPhoneDTO idcardPhoneDTO);
}
