package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsBmLimitVo", description = "厦门报名名额")
public class TmsBmLimitVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "可用名额")
    private String kyme;

    @ApiModelProperty(value = "奖惩名额")
    private String jcme;

    @ApiModelProperty(value = "在训名额")
    private String kyzx;

    @ApiModelProperty(value = "最终名额")
    private String me;


}
