package com.miaxis.tms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TmsStudentPhotoVo", description = "学员课堂照片")
public class TmsStudentPhotoVo implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ptime;

    @ApiModelProperty(value = "事件17：签到；18：签退；19：培训过程 ")
    private String event;

    @ApiModelProperty(value = "上传照片")
    private String filepath;






}
